PulseAudio 16.1

Data Fields
pa_sample_info Struct Reference

Stores information about sample cache entries. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of this entry. More...
const char * | name
| Name of this entry. More...
pa_cvolume | volume
| Default volume of this entry. More...
pa_sample_spec | sample_spec
| Sample specification of the sample. More...
pa_channel_map | channel_map
| The channel map. More...
pa_usec_t | duration
| Duration of this entry. More...
uint32_t | bytes
| Length of this sample in bytes. More...
int | lazy
| Non-zero when this is a lazy cache entry. More...
const char * | filename
| In case this is a lazy cache entry, the filename for the sound file to be loaded on demand. More...
pa_proplist * | proplist
| Property list for this sample. More...

## Detailed Description

Stores information about sample cache entries.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ bytes

uint32_t pa_sample_info::bytes

Length of this sample in bytes.

## ◆ channel_map

pa_channel_map pa_sample_info::channel_map

The channel map.

## ◆ duration

pa_usec_t pa_sample_info::duration

Duration of this entry.

## ◆ filename

const char* pa_sample_info::filename

In case this is a lazy cache entry, the filename for the sound file to be loaded on demand.

## ◆ index

uint32_t pa_sample_info::index

Index of this entry.

## ◆ lazy

int pa_sample_info::lazy

Non-zero when this is a lazy cache entry.

## ◆ name

const char* pa_sample_info::name

Name of this entry.

## ◆ proplist

pa_proplist* pa_sample_info::proplist

Property list for this sample.

Since
  0.9.11

## ◆ sample_spec

pa_sample_spec pa_sample_info::sample_spec

Sample specification of the sample.

## ◆ volume

pa_cvolume pa_sample_info::volume

Default volume of this entry.

The documentation for this struct was generated from the following file:

- introspect.h